summaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorNeilBrown <neilb@suse.de>2013-06-24 15:57:58 +1000
committerNeilBrown <neilb@suse.de>2013-06-24 15:57:58 +1000
commit35698c6e91e7755bbe520ca2adc79b3aa32ca9af (patch)
tree33797f111bf5107609a68139dd42277af19dc037 /test
parent9ccfd3be3089fef5d795bc3e6d39ac2c1c880009 (diff)
tests: add test for converting levels to raid0 and back.
Now that I have this mostly working, I should make sure it doesn't break... Signed-off-by: NeilBrown <neilb@suse.de>
Diffstat (limited to 'test')
-rwxr-xr-xtest4
1 files changed, 4 insertions, 0 deletions
diff --git a/test b/test
index 1792e1d5..76d410f6 100755
--- a/test
+++ b/test
@@ -138,6 +138,10 @@ check() {
grep -s "active $1 " /proc/mdstat > /dev/null || {
echo >&2 "ERROR active $1 not found" ; cat /proc/mdstat ; exit 1;}
;;
+ algorithm )
+ grep -s " algorithm $2 " /proc/mdstat > /dev/null || {
+ echo >&2 "ERROR algorithm $2 not found"; cat /proc/mdstat; exit 1;}
+ ;;
resync | recovery | reshape)
sleep 0.5
grep -s $1 /proc/mdstat > /dev/null || {